Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ws.rs.core
Class UriBuilderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ws.rs.core.UriBuilderException

All Implemented Interfaces:
  java.io.Serializable

    public class UriBuilderException

extends java.lang.RuntimeException

A runtime exception thrown by `UriBuilder.build(java.lang.Object...)` methods when a `URI` cannot be constructed based on the current state of the builder.

See Also:
  Serialized Form

Constructor Summary
`UriBuilderException()` Creates a new instance of `UriBuilderException` without detail message.
`UriBuilderException(java.lang.String msg)` Constructs an instance of `UriBuilderException` with the specified detail message.
`UriBuilderException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `UriBuilderException` with the specified detail message and cause.
`UriBuilderException(java.lang.Throwable cause)` Constructs a new exception with the specified cause and a detail message of (`cause==null ? null : cause.toString()`) (which typically contains the class and detail message of cause).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UriBuilderException

    public UriBuilderException()

  Creates a new instance of `UriBuilderException` without detail message.

### UriBuilderException

    public UriBuilderException(java.lang.String msg)

  Constructs an instance of `UriBuilderException` with the specified detail message.

  Parameters:
    `msg` - the detail message (which is saved for later retrieval by the Throwable.getMessage() method).

### UriBuilderException

    public UriBuilderException(java.lang.String msg,
                               java.lang.Throwable cause)

  Constructs an instance of `UriBuilderException` with the specified detail message and cause.

  Note that the detail message associated with cause is not automatically incorporated in this exception's detail message.

  Parameters:
    `msg` - the detail message (which is saved for later retrieval by the Throwable.getMessage() method).
    `cause` - the cause (which is saved for later retrieval by the Throwable.getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

### UriBuilderException

    public UriBuilderException(java.lang.Throwable cause)

  Constructs a new exception with the specified cause and a detail message of (`cause==null ? null : cause.toString()`) (which typically contains the class and detail message of cause). This constructor is useful for exceptions that are little more than wrappers for other throwables.

  Parameters:
    `cause` - the original exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.